/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Holder of the policy.
 */
@ApiModel(description = "Holder of the policy.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model68 {
  @SerializedName("customer_id")
  private String customerId = null;

  @SerializedName("person")
  private Model64 person = null;

  @SerializedName("address")
  private Model65 address = null;

  @SerializedName("phone")
  private Model66 phone = null;

  @SerializedName("email")
  private String email = null;

  @SerializedName("is_politically_exposed")
  private Boolean isPoliticallyExposed = null;

  @SerializedName("profession")
  private String profession = null;

  @SerializedName("monthly_income")
  private Model67 monthlyIncome = null;

  public Model68 customerId(String customerId) {
    this.customerId = customerId;
    return this;
  }

   /**
   * Customer unique identifier.
   * @return customerId
  **/
  @ApiModelProperty(value = "Customer unique identifier.")
  public String getCustomerId() {
    return customerId;
  }

  public void setCustomerId(String customerId) {
    this.customerId = customerId;
  }

  public Model68 person(Model64 person) {
    this.person = person;
    return this;
  }

   /**
   * Get person
   * @return person
  **/
  @ApiModelProperty(value = "")
  public Model64 getPerson() {
    return person;
  }

  public void setPerson(Model64 person) {
    this.person = person;
  }

  public Model68 address(Model65 address) {
    this.address = address;
    return this;
  }

   /**
   * Get address
   * @return address
  **/
  @ApiModelProperty(value = "")
  public Model65 getAddress() {
    return address;
  }

  public void setAddress(Model65 address) {
    this.address = address;
  }

  public Model68 phone(Model66 phone) {
    this.phone = phone;
    return this;
  }

   /**
   * Get phone
   * @return phone
  **/
  @ApiModelProperty(value = "")
  public Model66 getPhone() {
    return phone;
  }

  public void setPhone(Model66 phone) {
    this.phone = phone;
  }

  public Model68 email(String email) {
    this.email = email;
    return this;
  }

   /**
   * Policy holder contact email.
   * @return email
  **/
  @ApiModelProperty(value = "Policy holder contact email.")
  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public Model68 isPoliticallyExposed(Boolean isPoliticallyExposed) {
    this.isPoliticallyExposed = isPoliticallyExposed;
    return this;
  }

   /**
   * Does the policy holder work for the government or for a company that works for the government? Remark: This field may be required for some countries (such as Brasil). Please apply the current legislation.
   * @return isPoliticallyExposed
  **/
  @ApiModelProperty(value = "Does the policy holder work for the government or for a company that works for the government? Remark: This field may be required for some countries (such as Brasil). Please apply the current legislation.")
  public Boolean isIsPoliticallyExposed() {
    return isPoliticallyExposed;
  }

  public void setIsPoliticallyExposed(Boolean isPoliticallyExposed) {
    this.isPoliticallyExposed = isPoliticallyExposed;
  }

  public Model68 profession(String profession) {
    this.profession = profession;
    return this;
  }

   /**
   * Profession of the policy holder. Remark: This field may be required for some countries (such as Brasil). Please apply the current legislation.
   * @return profession
  **/
  @ApiModelProperty(value = "Profession of the policy holder. Remark: This field may be required for some countries (such as Brasil). Please apply the current legislation.")
  public String getProfession() {
    return profession;
  }

  public void setProfession(String profession) {
    this.profession = profession;
  }

  public Model68 monthlyIncome(Model67 monthlyIncome) {
    this.monthlyIncome = monthlyIncome;
    return this;
  }

   /**
   * Get monthlyIncome
   * @return monthlyIncome
  **/
  @ApiModelProperty(value = "")
  public Model67 getMonthlyIncome() {
    return monthlyIncome;
  }

  public void setMonthlyIncome(Model67 monthlyIncome) {
    this.monthlyIncome = monthlyIncome;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model68 model68 = (Model68) o;
    return Objects.equals(this.customerId, model68.customerId) &&
        Objects.equals(this.person, model68.person) &&
        Objects.equals(this.address, model68.address) &&
        Objects.equals(this.phone, model68.phone) &&
        Objects.equals(this.email, model68.email) &&
        Objects.equals(this.isPoliticallyExposed, model68.isPoliticallyExposed) &&
        Objects.equals(this.profession, model68.profession) &&
        Objects.equals(this.monthlyIncome, model68.monthlyIncome);
  }

  @Override
  public int hashCode() {
    return Objects.hash(customerId, person, address, phone, email, isPoliticallyExposed, profession, monthlyIncome);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model68 {\n");
    
    sb.append("    customerId: ").append(toIndentedString(customerId)).append("\n");
    sb.append("    person: ").append(toIndentedString(person)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("    phone: ").append(toIndentedString(phone)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("    isPoliticallyExposed: ").append(toIndentedString(isPoliticallyExposed)).append("\n");
    sb.append("    profession: ").append(toIndentedString(profession)).append("\n");
    sb.append("    monthlyIncome: ").append(toIndentedString(monthlyIncome)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

